package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerRewardApproval;
import com.sundot.airport.ledger.service.ILedgerRewardApprovalService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * 小额奖励审批单Controller
 */
@RestController
@RequestMapping("/ledger/rewardApproval")
public class LedgerRewardApprovalController extends BaseController {

    @Autowired
    private ILedgerRewardApprovalService service;

    @PreAuthorize("@ss.hasPermi('ledger:rewardApproval:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerRewardApproval query) {
        startPage();
        List<LedgerRewardApproval> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:rewardApproval:export')")
    @Log(title = "小额奖励审批单", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerRewardApproval query) {
        List<LedgerRewardApproval> list = service.selectList(query);
        ExcelUtil<LedgerRewardApproval> util = new ExcelUtil<>(LedgerRewardApproval.class);
        util.exportExcel(response, list, "小额奖励审批单");
    }

    @PreAuthorize("@ss.hasPermi('ledger:rewardApproval:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
